# Uses of Enum Class
net.shibboleth.profile.module.ModuleContext.OperationType

Packages that use ModuleContext.OperationType
Package
Description
net.shibboleth.profile.module
Classes for Modules for the IdP and eventually other applications.

## Uses of ModuleContext.OperationType in net.shibboleth.profile.module

Fields in net.shibboleth.profile.module declared as ModuleContext.OperationType
Modifier and Type
Field
Description
`private ModuleContext.OperationType`
ModuleContext.`operationType`
What are we doing in this case.
Methods in net.shibboleth.profile.module that return ModuleContext.OperationType
Modifier and Type
Method
Description
`ModuleContext.OperationType`
ModuleContext.`getOperationType()`
Getter for `ModuleContext.operationType`.
`static ModuleContext.OperationType`
ModuleContext.OperationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ModuleContext.OperationType[]`
ModuleContext.OperationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.profile.module with parameters of type ModuleContext.OperationType
Modifier and Type
Method
Description
`void`
ModuleContext.`setOperationType(ModuleContext.OperationType type)`
Setter for `ModuleContext.operationType`.